ImportError: Kein Modul mit dem Namen 'xlrd'

Ich verwende derzeit PyCharm mit Python Version 3.4.3 für dieses spezielle Projekt.

Diese PyCharm hatte zuvor Python2.7, und ich habe ein Upgrade auf 3.4.3.

Ich versuche, Daten aus einer Excel-Datei mit Pandas abzurufen.

Hier ist mein Code:

import pandas as pd df = pd.read_excel("File.xls", "Sheet1") print (df) 

Als ich diesen Code lief, bekomme ich diesen Fehler.

 ImportError: No module named 'xlrd' 

Ich suchte Stackoverflow und fand einige Vorschläge: Ich habe versucht mit

 pip install xlrd 

Aber, als ich das tat, sagt die Nachricht

 "Requirement already satisfied: xlrd in ./anaconda2/usr/lib/python2.7/site-packages" 

Irgendein Vorschlag?

One Solution collect form web for “ImportError: Kein Modul mit dem Namen 'xlrd'”

Wenn Sie in einem Terminal unter Bash oder irgendeinem anderen halb fortgeschrittenen Shell mit Tab-Vervollständigung sind, versuchen Sie, pip zu schreiben, gefolgt von <tab> . Wenn ich es tue, sehe ich geschrieben:

 none@vacuum:~$ pip pip pip3 pip3.5 pip3.6 

Wie Sie sehen können, kann ich wählen, um Pip-Befehle unter pip nur laufen, aber ich kann noch neuere Versionen von Pip wählen. Um zu wissen, welche Version mit dem pip Befehl verbunden ist (mit nichts anderem) laufen wie gewohnt pip mit dem --version oder -V Flag. In meinem Fall ergibt pip -V :

 none@vacuum:~$ pip -V pip 9.0.1 from /usr/local/lib/python3.6/dist-packages (python 3.6) 

Abgesehen davon, wenn Sie unter PyCharm entwickeln, können Sie Alt+Enter drücken, wenn sich der Cursor unter dem Modulnamen befindet, der nicht importiert werden kann, um ein kontextsensitives Floating-Menü zu öffnen, mit dem Sie das Modul installieren können. (Sie können auch die Liste der installierten Module für eine bestimmte Python-Version im Einstellungsmenü von PyCharm unter dem Untermenü Project Interpreter .)

  • Installation von Pymongo funktioniert aber beim Import in python3
  • Kivy OpenGL-Anforderungen für den Einsatz möglich?
  • Installieren eines Python-Pakets in einem gewünschten Ordner
  • Wie installiere ich Kryptographie auf Ubuntu?
  • Installiere psycopg2 auf Ubuntu
  • Python_2_unicode_kompatibler Fehler
  • Automatischer Hintergrundwechsler mit Python 2.7.3 funktioniert nicht, obwohl es sollte
  • Kann ich sowohl python 2 als auch 3 django app mit apache mit mod_wsgi einsetzen?
  • Ubuntu 16.04 - Warum kann ich libtiff4-dev nicht installieren?
  • Fullscreen Python TKinter oder wxPython Fenster, aber 'bleiben am unteren Rand' aller Fenster?
  • Einstellung Anwendungs-Icon in meiner Python-Tk-Basis-Anwendung (On Ubuntu)
  • Python ist die beste Programmiersprache der Welt.